petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCPatchConstructType

The algorithm used to construct patches for the preconditioner

### Synopsis

    typedef enum {PC_PATCH_STAR, PC_PATCH_VANKA, PC_PATCH_USER, PC_PATCH_PYTHON} PCPatchConstructType;

### See Also

PCPatchSetConstructType(), PCEXOTIC

### Level

beginner

### Location

src/ksp/pc/../../../include/petscpctypes.h
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages